// Code generated by mockery v2.42.3. DO NOT EDIT.

package mock_manager

import (
	mock "github.com/stretchr/testify/mock"

	manager "gitlab.com/commonground/nlx/fsc-nlx/manager/adapters/manager"
)

// MockFactory is an autogenerated mock type for the Factory type
type MockFactory struct {
	mock.Mock
}

type MockFactory_Expecter struct {
	mock *mock.Mock
}

func (_m *MockFactory) EXPECT() *MockFactory_Expecter {
	return &MockFactory_Expecter{mock: &_m.Mock}
}

// New provides a mock function with given fields: peerID, address
func (_m *MockFactory) New(peerID string, address string) (manager.Manager, error) {
	ret := _m.Called(peerID, address)

	if len(ret) == 0 {
		panic("no return value specified for New")
	}

	var r0 manager.Manager
	var r1 error
	if rf, ok := ret.Get(0).(func(string, string) (manager.Manager, error)); ok {
		return rf(peerID, address)
	}
	if rf, ok := ret.Get(0).(func(string, string) manager.Manager); ok {
		r0 = rf(peerID, address)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(manager.Manager)
		}
	}

	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(peerID, address)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockFactory_New_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'New'
type MockFactory_New_Call struct {
	*mock.Call
}

// New is a helper method to define mock.On call
//   - peerID string
//   - address string
func (_e *MockFactory_Expecter) New(peerID interface{}, address interface{}) *MockFactory_New_Call {
	return &MockFactory_New_Call{Call: _e.mock.On("New", peerID, address)}
}

func (_c *MockFactory_New_Call) Run(run func(peerID string, address string)) *MockFactory_New_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(string), args[1].(string))
	})
	return _c
}

func (_c *MockFactory_New_Call) Return(_a0 manager.Manager, _a1 error) *MockFactory_New_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockFactory_New_Call) RunAndReturn(run func(string, string) (manager.Manager, error)) *MockFactory_New_Call {
	_c.Call.Return(run)
	return _c
}

// NewMockFactory creates a new instance of MockFactory. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockFactory(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockFactory {
	mock := &MockFactory{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
